Bug 840308 - [abrt] wireshark-gnome-1.8.0-1.fc18: Process /usr/sbin/wireshark was killed by signal 6 (SIGABRT)
[abrt] wireshark-gnome-1.8.0-1.fc18: Process /usr/sbin/wireshark was killed b...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
abrt_hash:ce46d01d0f92097ee10ee3aabec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 13:08 EDT by Mikko Tiihonen
Modified: 2013-03-19 11:15 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 11:15:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (12.73 KB, text/plain)
2012-07-15 13:08 EDT, Mikko Tiihonen
no flags Details
File: maps (63.82 KB, text/plain)
2012-07-15 13:08 EDT, Mikko Tiihonen
no flags Details
File: backtrace (29.76 KB, text/plain)
2012-07-15 13:08 EDT, Mikko Tiihonen
no flags Details
possible fix (788 bytes, patch)
2012-12-31 13:28 EST, Edward Sheldrake
no flags Details | Diff
possible fix (2.21 KB, patch)
2013-01-30 04:52 EST, Edward Sheldrake
no flags Details | Diff

  None (edit)
Description Mikko Tiihonen 2012-07-15 13:08:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        wireshark
crash_function: tree_view_selection_changed_cb
executable:     /usr/sbin/wireshark
kernel:         3.5.0-0.rc6.git0.2.fc18.x86_64
pid:            17255
pwd:            /home/mtiihone
time:           Sun 15 Jul 2012 06:59:47 PM EEST
uid:            1001
username:       mtiihone
var_log_messages: Jul 15 18:59:48 quadvadis abrt[18034]: Saved core dump of pid 17255 (/usr/sbin/wireshark) to /var/spool/abrt/ccpp-2012-07-15-18:59:47-17255 (194674688 bytes)

backtrace:      Text file, 30475 bytes
binary:         Binary file, 2545760 bytes
dso_list:       Text file, 13039 bytes
maps:           Text file, 65348 bytes

cgroup:
:8:perf_event:/
:7:blkio:/
:6:net_cls:/
:5:freezer:/
:4:devices:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mtiihone/2

core_backtrace:
:1a0d0d2b4317c9338a25a3f738600986f28d76bd 0x35ba5 __GI_raise libc.so.6 -
:1a0d0d2b4317c9338a25a3f738600986f28d76bd 0x37358 __GI_abort libc.so.6 -
:d9a00fffa2115aee62844682149821b1897ba857 0x68d07 g_assertion_message libglib-2.0.so.0 -
:d9a00fffa2115aee62844682149821b1897ba857 0x69224 g_assertion_message_expr libglib-2.0.so.0 -
:2a06cdacd6ae5910121673ce459f404a3a442976 0xb8e81 - [pie] -
:ddb38c5f851ae218147ba96821816f9d000894b6 0xfb33 _g_closure_invoke_va libgobject-2.0.so.0 -
:ddb38c5f851ae218147ba96821816f9d000894b6 0x29315 g_signal_emit_valist libgobject-2.0.so.0 -
:ddb38c5f851ae218147ba96821816f9d000894b6 0x29ed0 g_signal_emit_by_name libgobject-2.0.so.0 -
:5cd9e4dffe436e223df515a985b52a1b8e08554d 0x2c752e gtk_tree_view_row_deleted libgtk-3.so.0 -
:ddb38c5f851ae218147ba96821816f9d000894b6 0xf854 g_closure_invoke libgobject-2.0.so.0 -
:ddb38c5f851ae218147ba96821816f9d000894b6 0x21538 signal_emit_unlocked_R libgobject-2.0.so.0 -
:ddb38c5f851ae218147ba96821816f9d000894b6 0x297df g_signal_emit_valist libgobject-2.0.so.0 -
:ddb38c5f851ae218147ba96821816f9d000894b6 0x299c2 g_signal_emit libgobject-2.0.so.0 -
:5cd9e4dffe436e223df515a985b52a1b8e08554d 0x2a1878 gtk_tree_model_row_deleted libgtk-3.so.0 -
:5cd9e4dffe436e223df515a985b52a1b8e08554d 0x2b28ac gtk_tree_store_remove libgtk-3.so.0 -
:5cd9e4dffe436e223df515a985b52a1b8e08554d 0x2b29d1 gtk_tree_store_clear_traverse libgtk-3.so.0 -
:5cd9e4dffe436e223df515a985b52a1b8e08554d 0x2b2994 gtk_tree_store_clear_traverse libgtk-3.so.0 -
:5cd9e4dffe436e223df515a985b52a1b8e08554d 0x2b3fe8 gtk_tree_store_clear libgtk-3.so.0 -
:2a06cdacd6ae5910121673ce459f404a3a442976 0xbc455 - [pie] -
:2a06cdacd6ae5910121673ce459f404a3a442976 0x9bd5f - [pie] -
:2a06cdacd6ae5910121673ce459f404a3a442976 0x9fb06 cf_unselect_packet [pie] -
:2a06cdacd6ae5910121673ce459f404a3a442976 0x9fc09 cf_close [pie] -
:2a06cdacd6ae5910121673ce459f404a3a442976 0x1675f9 do_file_close [pie] -
:2a06cdacd6ae5910121673ce459f404a3a442976 0xbaed8 - [pie] -
:5cd9e4dffe436e223df515a985b52a1b8e08554d 0x19fcff _gtk_marshal_BOOLEAN__BOXEDv libgtk-3.so.0 -
:ddb38c5f851ae218147ba96821816f9d000894b6 0xfb33 _g_closure_invoke_va libgobject-2.0.so.0 -
:ddb38c5f851ae218147ba96821816f9d000894b6 0x29315 g_signal_emit_valist libgobject-2.0.so.0 -
:ddb38c5f851ae218147ba96821816f9d000894b6 0x299c2 g_signal_emit libgobject-2.0.so.0 -
:5cd9e4dffe436e223df515a985b52a1b8e08554d 0x2e2bbe gtk_widget_event_internal libgtk-3.so.0 -
:5cd9e4dffe436e223df515a985b52a1b8e08554d 0x2e2fd9 gtk_widget_event libgtk-3.so.0 -
:5cd9e4dffe436e223df515a985b52a1b8e08554d 0x19fad0 gtk_main_do_event libgtk-3.so.0 -
:2d35516163c221c8db94d8e4f87b9ddd8fd086a9 0x4e1e2 gdk_event_source_dispatch libgdk-3.so.0 -
:d9a00fffa2115aee62844682149821b1897ba857 0x47895 g_main_dispatch libglib-2.0.so.0 -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:HOSTNAME=quadvadis.localdomain
:MALLOC_CHECK_=1
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=3eaa7b368cdfaf4372ecda170000000b-1342358822.478214-570504406
:GNOME_KEYRING_CONTROL=/run/user/1001/keyring-yku8fN
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:'JAVA_OPTS=-XX:+UseG1GC -Xms256m -Xmx1024m -Doracle.jdbc.maxCachedBufferSize=0 -Dnet.sf.ehcache.skipUpdateCheck=true -XX:+TieredCompilation -XX:MaxPermSize=512m -noverify -Djava.security.egd=file:///dev/./urandom -XX:AutoBoxCacheMax=1000 -Dsun.java2d.xrender=True'
:USER=mtiihone
:USERNAME=mtiihone
:'MAVEN_OPTS=-XX:+UseG1GC -Xms256m -Xmx1024m -Doracle.jdbc.maxCachedBufferSize=0 -Dnet.sf.ehcache.skipUpdateCheck=true -XX:+TieredCompilation -XX:MaxPermSize=512m -noverify -Djava.security.egd=file:///dev/./urandom -XX:AutoBoxCacheMax=1000'
:MAIL=/var/spool/mail/mtiihone
:PATH=/home/mtiihone/.local/bin:/home/mtiihone/bin:/home/mtiihone/jdk/bin:/home/mtiihone/maven/bin:/home/mtiihone/ant/bin:/home/mtiihone/vert.x/bin:/home/mtiihone/jruby/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:JRUBY_HOME=/home/mtiihone/jruby
:PWD=/home/mtiihone
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1348
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mtiihone
:SHLVL=1
:LOGNAME=mtiihone
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-tMyWRaslSb,guid=d9e74e315856881b060e9c275002c526
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/1001
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-mtiihone-gXDLmB/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1351,unix/unix:/tmp/.ICE-unix/1351
:GPG_AGENT_INFO=/run/user/1001/keyring-yku8fN/gpg:0:1
:SSH_AUTH_SOCK=/run/user/1001/keyring-yku8fN/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-wireshark.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=17255

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 127013               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       127013               127013               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mtiihone/.cache/gdm/session.log
:pos:	16553
:flags:	0102002
:2:/home/mtiihone/.cache/gdm/session.log
:pos:	16553
:flags:	0102002
:3:socket:[509054]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[509056]
:pos:	0
:flags:	02004002
:7:socket:[509058]
:pos:	0
:flags:	02004002
:8:socket:[507424]
:pos:	0
:flags:	02004002
:9:/dev/urandom
:pos:	0
:flags:	02100000
:10:socket:[387952]
:pos:	0
:flags:	02000002
:11:/usr/lib64/wireshark/python/1.8.0/register-dissector.py
:pos:	3362
:flags:	0100000
:12:pipe:[509478]
:pos:	0
:flags:	00
:13:pipe:[514101]
:pos:	0
:flags:	00
Comment 1 Mikko Tiihonen 2012-07-15 13:08:26 EDT
Created attachment 598314 [details]
File: dso_list
Comment 2 Mikko Tiihonen 2012-07-15 13:08:29 EDT
Created attachment 598315 [details]
File: maps
Comment 3 Mikko Tiihonen 2012-07-15 13:08:31 EDT
Created attachment 598316 [details]
File: backtrace
Comment 4 Jeff Layton 2012-11-29 07:37:07 EST
I clicked the 'x' button on the window to close it. It sat there for a moment and then closed and then abrt popped up saying it had crashed.

backtrace_rating: 4
Package: wireshark-gnome-1.8.3-4.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 5 Michael Scherer 2012-12-27 10:52:29 EST
I just closed wireshark from gnome-shell overview, after trying to close it with ctrl C from the terminal I used to run it

backtrace_rating: 4
Package: wireshark-gnome-1.8.4-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 6 Edward Sheldrake 2012-12-31 13:28:43 EST
Created attachment 670868 [details]
possible fix

I also get this crash, if I have some of the packet details tree expanded, and then start a new capture or open another .pcap file (both of those clear the list of packets).
Comment 7 igor.redhat@gmail.com 2013-01-17 23:09:08 EST
This happened in the middle of a capture

backtrace_rating: 4
Package: wireshark-gnome-1.8.4-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 8 Edward Sheldrake 2013-01-30 04:52:49 EST
Created attachment 690247 [details]
possible fix
Comment 9 Peter Hatina 2013-03-19 11:15:23 EDT
Stable branch 1.8.x of the Wireshark is not gtk3 ready, so it was reverted back to use gtk2 gui library.

Note You need to log in before you can comment on or make changes to this bug.